package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.achievement.bo.AchievementOrderLogAdminBo;
import com.goafanti.achievement.bo.AchievementOrderLogUserBo;
import com.goafanti.common.model.AchievementOrderLog;

public interface AchievementOrderLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(AchievementOrderLog record);

    int insertSelective(AchievementOrderLog record);

    AchievementOrderLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AchievementOrderLog record);

    int updateByPrimaryKey(AchievementOrderLog record);

	List<AchievementOrderLogUserBo> selectAchievementOrderLogByAchievementOrderId(String achievementOrderId);

	List<AchievementOrderLogAdminBo> selectAdminAchievementOrderLogByAchievementOrderId(String achievementOrderId);
}